Variants in EJ2 JavaScript Message control

23 Jun 20239 minutes to read

The Message has predefined appearance variants for different visual representations. The variants of the message can be changed based on the variant property.

The available variants are Text, Outlined and Filled. The default variant type for messages is Text.

  • Text - The severity is differentiated using a text color and a light background color.
  • Outlined - The severity is differentiated using a text color and a border without a background.
  • Filled - The severity is differentiated using a text color and a dark background color.

The following example demonstrates the default message with different variant types.

import { Message } from '@syncfusion/ej2-notifications'

    let msgDefault: Message = new Message({});
    msgDefault.appendTo('#msg_default');

    let msgInfo: Message = new Message({
        severity: "Info"
    });
    msgInfo.appendTo('#msg_info');

    let msgSuccess: Message = new Message({
        severity: "Success"
    });
    msgSuccess.appendTo('#msg_success');

    let msgWarning: Message = new Message({
        severity: "Warning"
    });
    msgWarning.appendTo('#msg_warning');

    let msgError: Message = new Message({
        severity: "Error"
    });
    msgError.appendTo('#msg_error');

    let msgDefaultOutlined: Message = new Message({
        variant: "Outlined"
    });
    msgDefaultOutlined.appendTo('#msg_default_outlined');

    let msgInfoOutlined: Message = new Message({
        severity: "Info",
        variant: "Outlined"
    });
    msgInfoOutlined.appendTo('#msg_info_outlined');

    let msgSuccessOutlined: Message = new Message({
        severity: "Success",
        variant: "Outlined"
    });
    msgSuccessOutlined.appendTo('#msg_success_outlined');

    let msgWarningOutlined: Message = new Message({
        severity: "Warning",
        variant: "Outlined"
    });
    msgWarningOutlined.appendTo('#msg_warning_outlined');

    let msgErrorOutlined: Message = new Message({
        severity: "Error",
        variant: "Outlined"
    });
    msgErrorOutlined.appendTo('#msg_error_outlined');

    let msgDefaultFilled: Message = new Message({
        variant: "Filled"
    });
    msgDefaultFilled.appendTo('#msg_default_filled');

    let msgInfoFilled: Message = new Message({
        severity: "Info",
        variant: "Filled"
    });
    msgInfoFilled.appendTo('#msg_info_filled');

    let msgSuccessFilled: Message = new Message({
        severity: "Success",
        variant: "Filled"
    });
    msgSuccessFilled.appendTo('#msg_success_filled');

    let msgWarningFilled: Message = new Message({
        severity: "Warning",
        variant: "Filled"
    });
    msgWarningFilled.appendTo('#msg_warning_filled');

    let msgErrorFilled: Message = new Message({
        severity: "Error",
        variant: "Filled"
    });
    msgErrorFilled.appendTo('#msg_error_filled');
<html><head>
    <title>Essential JS 2 Message control</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Message control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div class="msg-variant-section">
            <div class="content-section">
                <h4>Filled</h4>
                <div id="msg_default_filled">Editing is restricted</div>
                <div id="msg_info_filled">Please read the comments carefully</div>
                <div id="msg_success_filled">Your message has been sent successfully</div>
                <div id="msg_warning_filled">There was a problem with your network connection</div>
                <div id="msg_error_filled">A problem occurred while submitting your data</div>
            </div>
            <div class="content-section">
                <h4>Outlined</h4>
                <div id="msg_default_outlined">Editing is restricted</div>
                <div id="msg_info_outlined">Please read the comments carefully</div>
                <div id="msg_success_outlined">Your message has been sent successfully</div>
                <div id="msg_warning_outlined">There was a problem with your network connection</div>
                <div id="msg_error_outlined">A problem occurred while submitting your data</div>
            </div>
            <div class="content-section">
                <h4>Text</h4>
                <div id="msg_default">Editing is restricted</div>
                <div id="msg_info">Please read the comments carefully</div>
                <div id="msg_success">Your message has been sent successfully</div>
                <div id="msg_warning">There was a problem with your network connection</div>
                <div id="msg_error">A problem occurred while submitting your data</div>
            </div>
        </div>
    </div>
    <style>
        /* Sample level styles */
        .msg-variant-section .content-section {
            margin: 0 auto;
            max-width: 520px;
            padding: 10px;
        }

        .msg-variant-section .e-message {
            margin: 10px 0;
        }

        .msg-variant-section {
            display: flex;
        }
    </style>



<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

HelpBot Assistant

How can I help you?

Variants in Vue Message component

7 Jun 20247 minutes to read

The Message has predefined appearance variants for different visual representations. The variants of the message can be changed based on the variant property.

The available variants are Text, Outlined and Filled. The default variant type for messages is Text.

  • Text - The severity is differentiated using a text color and a light background color.
  • Outlined - The severity is differentiated using a text color and a border without a background.
  • Filled - The severity is differentiated using a text color and a dark background color.

The following example demonstrates the default message with different variant types.

<template>
  <div class="msg-variant-section">
    <div class="content-section">
      <h4>Filled</h4>
      <ejs-message id="msg_default_filled" variant="Filled">Editing is restricted</ejs-message>
      <ejs-message id="msg_info_filled" severity="Info" variant="Filled">Please read the comments carefully</ejs-message>
      <ejs-message id="msg_success_filled" severity="Success" variant="Filled">Your message has been sent successfully</ejs-message>
      <ejs-message id="msg_warning_filled" severity="Warning" variant="Filled">There was a problem with your network connection</ejs-message>
      <ejs-message id="msg_error_filled" severity="Error" variant="Filled">A problem occurred while submitting your data</ejs-message>
    </div>
    <div class="content-section">
      <h4>Outlined</h4>
      <ejs-message id="msg_default_outlined" variant="Outlined">Editing is restricted</ejs-message>
      <ejs-message id="msg_info_outlined" severity="Info" variant="Outlined">Please read the comments carefully</ejs-message>
      <ejs-message id="msg_success_outlined" severity="Success" variant="Outlined">Your message has been sent successfully</ejs-message>
      <ejs-message id="msg_warning_outlined" severity="Warning" variant="Outlined">There was a problem with your network connection</ejs-message>
      <ejs-message id="msg_error_outlined" severity="Error" variant="Outlined">A problem occurred while submitting your data</ejs-message>
    </div>
    <div class="content-section">
      <h4>Text</h4>
      <ejs-message id="msg_default">Editing is restricted</ejs-message>
      <ejs-message id="msg_info" severity="Info">Please read the comments carefully</ejs-message>
      <ejs-message id="msg_success" severity="Success">Your message has been sent successfully</ejs-message>
      <ejs-message id="msg_warning" severity="Warning">There was a problem with your network connection</ejs-message>
      <ejs-message id="msg_error" severity="Error">A problem occurred while submitting your data</ejs-message>
    </div>
  </div>
</template>
<script setup>
import { MessageComponent as EjsMessage } from "@syncfusion/ej2-vue-notifications";
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-notifications/styles/message/material.css";

.msg-variant-section .content-section {
  margin: 0 auto;
  max-width: 520px;
  padding: 10px;
}

.msg-variant-section .e-message {
  margin: 10px 0;
}

.msg-variant-section {
  display: flex;
}
</style>
<template>
  <div class="msg-variant-section">
    <div class="content-section">
      <h4>Filled</h4>
      <ejs-message id="msg_default_filled" variant="Filled">Editing is restricted</ejs-message>
      <ejs-message id="msg_info_filled" severity="Info" variant="Filled">Please read the comments carefully</ejs-message>
      <ejs-message id="msg_success_filled" severity="Success" variant="Filled">Your message has been sent successfully</ejs-message>
      <ejs-message id="msg_warning_filled" severity="Warning" variant="Filled">There was a problem with your network connection</ejs-message>
      <ejs-message id="msg_error_filled" severity="Error" variant="Filled">A problem occurred while submitting your data</ejs-message>
    </div>
    <div class="content-section">
      <h4>Outlined</h4>
      <ejs-message id="msg_default_outlined" variant="Outlined">Editing is restricted</ejs-message>
      <ejs-message id="msg_info_outlined" severity="Info" variant="Outlined">Please read the comments carefully</ejs-message>
      <ejs-message id="msg_success_outlined" severity="Success" variant="Outlined">Your message has been sent successfully</ejs-message>
      <ejs-message id="msg_warning_outlined" severity="Warning" variant="Outlined">There was a problem with your network connection</ejs-message>
      <ejs-message id="msg_error_outlined" severity="Error" variant="Outlined">A problem occurred while submitting your data</ejs-message>
    </div>
    <div class="content-section">
      <h4>Text</h4>
      <ejs-message id="msg_default">Editing is restricted</ejs-message>
      <ejs-message id="msg_info" severity="Info">Please read the comments carefully</ejs-message>
      <ejs-message id="msg_success" severity="Success">Your message has been sent successfully</ejs-message>
      <ejs-message id="msg_warning" severity="Warning">There was a problem with your network connection</ejs-message>
      <ejs-message id="msg_error" severity="Error">A problem occurred while submitting your data</ejs-message>
    </div>
  </div>
</template>
<script>
import { MessageComponent} from "@syncfusion/ej2-vue-notifications";

export default {
  components: {
    'ejs-message': MessageComponent
  },
  data() {
    return {
    };
  }
};
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../node_modules/@syncfusion/ej2-vue-notifications/styles/message/material.css";

.msg-variant-section .content-section {
  margin: 0 auto;
  max-width: 520px;
  padding: 10px;
}

.msg-variant-section .e-message {
  margin: 10px 0;
}

.msg-variant-section {
  display: flex;
}
</style>

HelpBot Assistant

How can I help you?

Variants in Angular Message component

27 Apr 20243 minutes to read

The Message has predefined appearance variants for different visual representations. The variants of the message can be changed based on the variant property.

The available variants are Text, Outlined and Filled. The default variant type for messages is Text.

  • Text - The severity is differentiated using a text color and a light background color.
  • Outlined - The severity is differentiated using a text color and a border without a background.
  • Filled - The severity is differentiated using a text color and a dark background color.

The following example demonstrates the default message with different variant types.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { MessageModule } from '@syncfusion/ej2-angular-notifications'




import { Component } from '@angular/core';

@Component({
imports: [
         MessageModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="msg-variant-section">
        <div class="content-section">
            <h4>Filled</h4>
            <ejs-message id="msg_default_filled" variant="Filled">Editing is restricted</ejs-message>
            <ejs-message id="msg_info_filled" severity="Info" variant="Filled">Please read the comments carefully
            </ejs-message>
            <ejs-message id="msg_success_filled" severity="Success" variant="Filled">Your message has been sent successfully
            </ejs-message>
            <ejs-message id="msg_warning_filled" severity="Warning" variant="Filled">There was a problem with your network connection</ejs-message>
            <ejs-message id="msg_error_filled" severity="Error" variant="Filled">A problem occurred while submitting your data</ejs-message>
        </div>
        <div class="content-section">
            <h4>Outlined</h4>
            <ejs-message id="msg_default_outlined" variant="Outlined">Editing is restricted</ejs-message>
            <ejs-message id="msg_info_outlined" severity="Info" variant="Outlined">Please read the comments carefully</ejs-message>
            <ejs-message id="msg_success_outlined" severity="Success" variant="Outlined">Your message has been sent successfully</ejs-message>
            <ejs-message id="msg_warning_outlined" severity="Warning" variant="Outlined">There was a problem with your network connection</ejs-message>
            <ejs-message id="msg_error_outlined" severity="Error" variant="Outlined">A problem occurred while submitting your data</ejs-message>
        </div>
        <div class="content-section">
            <h4>Text</h4>
            <ejs-message id="msg_default">Editing is restricted</ejs-message>
            <ejs-message id="msg_info" severity="Info">Please read the comments carefully</ejs-message>
            <ejs-message id="msg_success" severity="Success">Your message has been sent successfully</ejs-message>
            <ejs-message id="msg_warning" severity="Warning">There was a problem with your network connection</ejs-message>
            <ejs-message id="msg_error" severity="Error">A problem occurred while submitting your data</ejs-message>
        </div>
    </div>`
})
export class AppComponent{
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Message style variants

13 Apr 202611 minutes to read

Message variants define the visual presentation and styling approach for messages. The Message component supports three predefined variants that offer different design aesthetics. Configure the variant using the variant property.

The Message component provides three style variants:

  • Text (default) - Applies subtle styling with a light background and colored text. This variant works well for non-intrusive messages or when space is limited.
  • Outlined - Uses a colored border with matching text on a transparent background. This variant provides clear visual distinction without a filled background, ideal for balanced emphasis.
  • Filled - Applies bold styling with a dark background and contrasting text. This variant commands attention and is suitable for critical messages or high-priority content.

The following example demonstrates all available variant types and their visual styling.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { MessageComponent } from '@syncfusion/ej2-react-notifications';
function App() {
    return (<div className="msg-variant-section">
        <div className="content-section">
            <h4>Filled</h4>
            <MessageComponent id="msg_default_filled" variant="Filled">Editing is restricted</MessageComponent>
            <MessageComponent id="msg_info_filled" severity="Info" variant="Filled">Please read the comments carefully</MessageComponent>
            <MessageComponent id="msg_success_filled" severity="Success" variant="Filled">Your message has been sent successfully</MessageComponent>
            <MessageComponent id="msg_warning_filled" severity="Warning" variant="Filled">There was a problem with your network connection</MessageComponent>
            <MessageComponent id="msg_error_filled" severity="Error" variant="Filled">A problem occurred while submitting your data</MessageComponent>
        </div>
        <div className="content-section">
            <h4>Outlined</h4>
            <MessageComponent id="msg_default_outlined" variant="Outlined">Editing is restricted</MessageComponent>
            <MessageComponent id="msg_info_outlined" severity="Info" variant="Outlined">Please read the comments carefully</MessageComponent>
            <MessageComponent id="msg_success_outlined" severity="Success" variant="Outlined">Your message has been sent successfully</MessageComponent>
            <MessageComponent id="msg_warning_outlined" severity="Warning" variant="Outlined">There was a problem with your network connection</MessageComponent>
            <MessageComponent id="msg_error_outlined" severity="Error" variant="Outlined">A problem occurred while submitting your data</MessageComponent>
        </div>
        <div className="content-section">
            <h4>Text</h4>
            <MessageComponent id="msg_default">Editing is restricted</MessageComponent>
            <MessageComponent id="msg_info" severity="Info">Please read the comments carefully</MessageComponent>
            <MessageComponent id="msg_success" severity="Success">Your message has been sent successfully</MessageComponent>
            <MessageComponent id="msg_warning" severity="Warning">There was a problem with your network connection</MessageComponent>
            <MessageComponent id="msg_error" severity="Error">A problem occurred while submitting your data</MessageComponent>
        </div>
    </div>);
}
export default App;
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { MessageComponent } from '@syncfusion/ej2-react-notifications';

function App() {
  return (
     <div className="msg-variant-section">
        <div className="content-section">
            <h4>Filled</h4>
            <MessageComponent id="msg_default_filled" variant="Filled">Editing is restricted</MessageComponent>
            <MessageComponent id="msg_info_filled" severity="Info" variant="Filled">Please read the comments carefully</MessageComponent>
            <MessageComponent id="msg_success_filled" severity="Success" variant="Filled">Your message has been sent successfully</MessageComponent>
            <MessageComponent id="msg_warning_filled" severity="Warning" variant="Filled">There was a problem with your network connection</MessageComponent>
            <MessageComponent id="msg_error_filled" severity="Error" variant="Filled">A problem occurred while submitting your data</MessageComponent>
        </div>
        <div className="content-section">
            <h4>Outlined</h4>
            <MessageComponent id="msg_default_outlined" variant="Outlined">Editing is restricted</MessageComponent>
            <MessageComponent id="msg_info_outlined" severity="Info" variant="Outlined">Please read the comments carefully</MessageComponent>
            <MessageComponent id="msg_success_outlined" severity="Success" variant="Outlined">Your message has been sent successfully</MessageComponent>
            <MessageComponent id="msg_warning_outlined" severity="Warning" variant="Outlined">There was a problem with your network connection</MessageComponent>
            <MessageComponent id="msg_error_outlined" severity="Error" variant="Outlined">A problem occurred while submitting your data</MessageComponent>
        </div>
        <div className="content-section">
            <h4>Text</h4>
            <MessageComponent id="msg_default">Editing is restricted</MessageComponent>
            <MessageComponent id="msg_info" severity="Info">Please read the comments carefully</MessageComponent>
            <MessageComponent id="msg_success" severity="Success">Your message has been sent successfully</MessageComponent>
            <MessageComponent id="msg_warning" severity="Warning">There was a problem with your network connection</MessageComponent>
            <MessageComponent id="msg_error" severity="Error">A problem occurred while submitting your data</MessageComponent>
        </div>
    </div>
  );
}
export default App;
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Message</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-react-notifications/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='sample'>
        <div id='loader'>Loading....</div>
    </div>
    <style>
        /* Sample level styles */
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }

        .msg-variant-section .content-section {
            margin: 0 auto;
            max-width: 520px;
            padding: 10px;
        }

        .msg-variant-section .e-message {
            margin: 10px 0;
        }

        .msg-variant-section {
            display: flex;
        }
    </style>
</body>

</html>